-- Functions Specific to the Options Frame


-- ColorPicker Code origonally borrowed from SimpleTranqShot
-- Banner Color Picker
function EnhancedAssist_ColorPicker_Banner()
	ColorPickerFrame.func = EnhancedAssist_ColorPicker_BannerFunc;
	ColorPickerFrame.hasOpacity = nil;
	ColorPickerFrame.opacityFunc = nil;
	ColorPickerFrame.opacity = nil;
	ColorPickerFrame:SetColorRGB( EnhancedAssistOptions.Colors.Banner.r, EnhancedAssistOptions.Colors.Banner.g, EnhancedAssistOptions.Colors.Banner.b );
	ColorPickerFrame.previousValues = { r = EnhancedAssistOptions.Colors.Banner.r, g = EnhancedAssistOptions.Colors.Banner.g, b = EnhancedAssistOptions.Colors.Banner.b, opacity = 1.0 };
	ColorPickerFrame.cancelFunc = EnhancedAssist_ColorPicker_BannerCancelFunc;
	ShowUIPanel(ColorPickerFrame);
end
function EnhancedAssist_ColorPicker_BannerFunc()
	local newR, newG, newB = ColorPickerFrame:GetColorRGB();
	EAOFSO_ColorPicker_BannerNormalTexture:SetVertexColor(newR, newG, newB);
	EnhancedAssistOptions.Colors.Banner = { r = newR, g = newG, b = newB };
end
function EnhancedAssist_ColorPicker_BannerCancelFunc(previousValues)
	if ( previousValues.r ) then
		EAOFSO_ColorPicker_BannerNormalTexture:SetVertexColor(previousValues.r, previousValues.g, previousValues.b);
		EnhancedAssistOptions.Colors.Banner = { r = previousValues.r, g = previousValues.g, b = previousValues.b };
	end
end

function EnhancedAssistOptionsFrame_OnShow()
	EAOFSO_ColorPicker_BannerNormalTexture:SetVertexColor( EnhancedAssistOptions.Colors.Banner.r, EnhancedAssistOptions.Colors.Banner.g, EnhancedAssistOptions.Colors.Banner.b );
end

function EAOFSO_Sound_DropDown_OnShow()
	UIDropDownMenu_Initialize(EAOFSO_Sound_DropDown, EAOFSO_Sound_DropDown_Initialize);
	UIDropDownMenu_SetWidth(110);
	UIDropDownMenu_SetButtonWidth(54);
	UIDropDownMenu_JustifyText("LEFT", EAOFSO_Sound_DropDown);
end

function EAOFSO_Sound_DropDown_Initialize()
	local info;
	for i,title in EA_SoundSets do
		checked = nil;
		info = {};
		info.text = title;
		info.func = EAOFSO_Sound_DropDown_OnClick;
		if (EnhancedAssistOptions.SoundSet == i) then checked = 1 end
		info.checked = checked;
		UIDropDownMenu_AddButton(info);
	end
	UIDropDownMenu_SetText(EA_SoundSets[EnhancedAssistOptions.SoundSet], EAOFSO_Sound_DropDown);
	UIDropDownMenu_SetSelectedID(EAOFSO_Sound_DropDown, EnhancedAssistOptions.SoundSet);
end

function EAOFSO_Sound_DropDown_OnClick()
	UIDropDownMenu_SetSelectedID(EAOFSO_Sound_DropDown, this:GetID());
	EnhancedAssistOptions.SoundSet = UIDropDownMenu_GetSelectedID(EAOFSO_Sound_DropDown);
	PlaySoundFile(EA_SoundSetFiles[EnhancedAssistOptions.SoundSet]);
	-- GuildControlCheckboxUpdate(GuildControlGetRankFlags());
	-- GuildControlPopupFrameEditBox:SetText(UIDropDownMenu_GetSelectedID(EAOFSO_Sound_DropDown));
	-- GuildControlPopupFrameAddRankButton_OnUpdate();
	-- GuildControlPopupFrameRemoveRankButton_OnUpdate();
	-- GuildControlPopupAcceptButton:Disable();
end
